	
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Tipo de Cuenta
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >Caja</li>
				<li class="breadcrumb-item active">Tipo de Cuenta</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="cuentatipo_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	<!-- formulario de registro -->
			<div class="modal fade" id="div_cuentatipo_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog " role="document" >
			<div class="modal-content">
			<div class="modal-body div_cuentatipo_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
		<!-- tabla de registros -->	
		<div id="div_cuentatipo_tabla"></div>
<script type="text/javascript">
	function cuentatipo_tabla()
	{	
		$.ajax({
			type: "POST",
			url: "../cuentatipo/cuentatipo_tabla.php",
			async:true,
			dataType: "html",                      
			data: ({
			
			}),
			beforeSend: function() {
				$('#div_cuentatipo_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_cuentatipo_tabla').html(html);
			},
			complete: function(){			
				$('#div_cuentatipo_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	function cuentatipo_form(act,idf)
	{
		$('#div_cuentatipo_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../cuentatipo/cuentatipo_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				ele_id:	idf,
				vista:	'cuentatipo_tabla'
			}),
			beforeSend: function() {
			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
			$('.div_cuentatipo_form').html(div);
			},
			success: function(html){
				$('.div_cuentatipo_form').html(html);		
			}
		});
	}
	function eliminar_cuentatipo(id){
		$('#msj_cuentatipo').hide();  
		if(!confirm('¿Desea eliminar?'))
			return false;
		$.ajax({
			type: "POST",
			url: "../cuentatipo/cuentatipo_reg.php",
			dataType: "json",
			async:true,                     
			data: ({
				action: "eliminar",
				ele_id:		id
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				toastr["success"](data.ele_msj);	
				cuentatipo_tabla();
			}
		});
	}
$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../cuentatipo/cuentatipo_vista.php");
	});
	cuentatipo_tabla();
	setTitle("TIPO DE CUENTA - "+nombreEmpresa);	
	
});
</script>